#!/bin/sh

# This file MUST be located in the mac directory

# Compile NETI@home for Mac
/usr/bin/ranlib ./libpcap.a
cd ..
g++ debug.cpp decode.cpp neti.cpp netistats.cpp snprintf.cpp strlcpyu.cpp util.cpp -o neti ./mac/libpcap.a -DHAVE_CONFIG_H -lz -I./mac/.
g++ logparse.cpp -o NETILogParse
cd ./NETIMap
javac NetGeoClient.java
javac NETIMap.java
cd ../mac

# Create the Distribution Folder
/bin/mkdir ./Distribution_folder
/bin/mkdir ./Distribution_folder/Package_Root
/bin/mkdir ./Distribution_folder/Resources
/bin/mkdir ./Distribution_folder/Package_Root/private
/bin/mkdir ./Distribution_folder/Package_Root/usr
/bin/mkdir ./Distribution_folder/Package_Root/private/etc
/bin/mkdir ./Distribution_folder/Package_Root/usr/bin
/bin/mkdir ./Distribution_folder/Package_Root/usr/sbin
/bin/mkdir ./Distribution_folder/Package_Root/usr/bin/NETI@home
/bin/mkdir ./Distribution_folder/Package_Root/Library
/bin/mkdir ./Distribution_folder/Package_Root/Library/StartupItems
/bin/mkdir ./Distribution_folder/Package_Root/Library/StartupItems/neti

# Move Contents into Distribution Folder
/bin/cp ../COPYING ./Distribution_folder/Resources/License.txt
/bin/cp ./ReadMe.txt ./Distribution_folder/Resources/.
/bin/cp ../neti ./Distribution_folder/Package_Root/usr/sbin/.
/bin/cp ../neti.conf ./Distribution_folder/Package_Root/private/etc/.
/bin/cp ../NETIMap/*.class ./Distribution_folder/Package_Root/usr/bin/NETI@home/.
/bin/cp ../NETIMap/world100.gif ./Distribution_folder/Package_Root/usr/bin/NETI@home/.
/bin/cp ../NETILogParse ./Distribution_folder/Package_Root/usr/sbin/.
/bin/cp ./neti ./Distribution_folder/Package_Root/Library/StartupItems/neti/.
/bin/cp ./StartupParameters.plist ./Distribution_folder/Package_Root/Library/StartupItems/neti/.

# chown everything appropriately
/usr/sbin/chown root:wheel ./Distribution_folder
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root
/usr/sbin/chown root:wheel ./Distribution_folder/Resources
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/private
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/private/etc
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/bin
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/sbin
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/bin/NETI@home
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/Library
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/Library/StartupItems
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/Library/StartupItems/neti
/usr/sbin/chown root:wheel ./Distribution_folder/Resources/License.txt
/usr/sbin/chown root:wheel ./Distribution_folder/Resources/ReadMe.txt
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/sbin/neti
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/private/etc/neti.conf
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/bin/NETI@home/*.class
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/bin/NETI@home/world100.gif
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/usr/sbin/NETILogParse
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/Library/StartupItems/neti/neti
/usr/sbin/chown root:wheel ./Distribution_folder/Package_Root/Library/StartupItems/neti/StartupParameters.plist

# set permissions appropriately
/bin/chmod 755 ./Distribution_folder
/bin/chmod 755 ./Distribution_folder/Package_Root
/bin/chmod 755 ./Distribution_folder/Resources
/bin/chmod 755 ./Distribution_folder/Package_Root/private
/bin/chmod 755 ./Distribution_folder/Package_Root/usr
/bin/chmod 755 ./Distribution_folder/Package_Root/private/etc
/bin/chmod 755 ./Distribution_folder/Package_Root/usr/bin
/bin/chmod 755 ./Distribution_folder/Package_Root/usr/sbin
/bin/chmod 755 ./Distribution_folder/Package_Root/usr/bin/NETI@home
/bin/chmod 755 ./Distribution_folder/Package_Root/Library
/bin/chmod 755 ./Distribution_folder/Package_Root/Library/StartupItems
/bin/chmod 755 ./Distribution_folder/Package_Root/Library/StartupItems/neti
/bin/chmod 644 ./Distribution_folder/Resources/License.txt
/bin/chmod 644 ./Distribution_folder/Resources/ReadMe.txt
/bin/chmod 755 ./Distribution_folder/Package_Root/usr/sbin/neti
/bin/chmod 644 ./Distribution_folder/Package_Root/private/etc/neti.conf
/bin/chmod 644 ./Distribution_folder/Package_Root/usr/bin/NETI@home/*.class
/bin/chmod 644 ./Distribution_folder/Package_Root/usr/bin/NETI@home/world100.gif
/bin/chmod 755 ./Distribution_folder/Package_Root/usr/sbin/NETILogParse
/bin/chmod 755 ./Distribution_folder/Package_Root/Library/StartupItems/neti/neti
/bin/chmod 644 ./Distribution_folder/Package_Root/Library/StartupItems/neti/StartupParameters.plist

