# rpm spec file for NETI@home

%define name neti
%define version 2.0
%define release 1

Summary: A program that monitors basic network statistics and sends the results to the Georgia Institute of Technology.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Source: http://neti.sourceforge.net/%{name}-%{version}.tar.gz
URL: http://www.neti.gatech.edu/
BuildRoot: /var/tmp/%{name}-buildroot
License: GPL
Requires: libpcap
Packager: Charles "Robby" Simpson <neti@ece.gatech.edu>

%description
NETI@home is a program that collects various network statistics and then sends these statistics to a server at the Georgia Institute of Technology, where they will be made publicly available.  NETI@home's utmost priority is to its users' privacy.  Therefore, only the network part of the users' IP addresses will be reported, unless the user specifically requests otherwise.  NETI@home also contains tools, such as NETIMap, to allow the user to visualize their network connections.

Install NETI@home if you would like to be a part in a massive distributed effort to improve the Internet, with the added benefit of some nice network analysis tools.

%prep
# Make sure buildroot is not insane
if [ "$RPM_BUILD_ROOT" == "/" ]; then
    echo 'Invalid Build root'
    exit 1
fi
# May not need the rm line below, setup may take care of that for us
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
make RPMDEFS=-DRPM

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS
%doc COPYING
%doc README
%config(noreplace) /etc/neti.conf
%{_mandir}/man7/neti.7.gz
%{_sbindir}/neti
%{_sbindir}/NETILogParse
%{_bindir}/neti/NETIMap.class
%{_bindir}/neti/NetGeoClient.class
%{_bindir}/neti/NETIMap$1.class
%{_bindir}/neti/NetiPoint.class
%{_bindir}/neti/world100.gif

%changelog
